PHP Manual
Prev |  | Next

# imagegammacorrect

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

imagegammacorrect -- Apply a gamma correction to a GD image

## Description

bool imagegammacorrect ( resource image, float inputgamma, float outputgamma )

Applies gamma correction to the given gd `image` given an input and an output gamma.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`inputgamma`

  The input gamma

`outputgamma`

  The output gamma

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagefttext | Up | imagegd2